## golang-github-notaryproject-notation-core-go 1.3.0

=== Makefile ===
# Copyright The Notary Project Authors.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

.PHONY: help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-25s\033[0m %s\n", $$1, $$2}'

.PHONY: all
all: test

.PHONY: test
test: check-line-endings ## run unit tests
	go test -race -v -coverprofile=coverage.txt -covermode=atomic ./...

.PHONY: clean
clean:
	git status --ignored --short | grep '^!! ' | sed 's/!! //' | xargs rm -rf

.PHONY: check-line-endings
check-line-endings: ## check line endings
	! find . -name "*.go" -type f -exec file "{}" ";" | grep CRLF
	! find . -name "*.sh" -type f -exec file "{}" ";" | grep CRLF

.PHONY: fix-line-endings
fix-line-endings: ## fix line endings
	find . -type f -name "*.go" -exec sed -i -e "s/\r//g" {} +

## golang-github-notaryproject-notation-core-go 1.1.0

=== debian/changelog ===
golang-github-notaryproject-notation-core-go (1.1.0-6) unstable; urgency=medium

  * Increase timeout for golang tests further (30min)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Dec 2024 15:59:49 -0500

golang-github-notaryproject-notation-core-go (1.1.0-5) unstable; urgency=medium

  * Increase timeout for golang tests

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 28 Dec 2024 07:34:37 -0500

golang-github-notaryproject-notation-core-go (1.1.0-4) unstable; urgency=medium

  * Improve patch to skip tests that call home, Closes: #1090802

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 22 Dec 2024 11:35:21 -0500

golang-github-notaryproject-notation-core-go (1.1.0-3) unstable; urgency=medium

  * Skip tests that fail to connect to the internet

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 20 Dec 2024 08:41:22 -0500

golang-github-notaryproject-notation-core-go (1.1.0-2) unstable; urgency=medium

  * No change upload to help testing migration

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 Dec 2024 06:26:47 -0500

golang-github-notaryproject-notation-core-go (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1088084)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 22 Nov 2024 17:40:35 -0500

=== debian/control ===
Source: golang-github-notaryproject-notation-core-go
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-fxamacker-cbor-dev,
               golang-github-golang-jwt-jwt-dev,
               golang-github-notaryproject-tspclient-go-dev,
               golang-github-veraison-go-cose-dev,
               golang-golang-x-crypto-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation-core-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation-core-go.git
Homepage: https://github.com/notaryproject/notation-core-go
XS-Go-Import-Path: github.com/notaryproject/notation-core-go

Package: golang-github-notaryproject-notation-core-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-fxamacker-cbor-dev,
         golang-github-golang-jwt-jwt-dev,
         golang-github-notaryproject-tspclient-go-dev,
         golang-github-veraison-go-cose-dev,
         golang-golang-x-crypto-dev,
         ${misc:Depends}
Description: Support for Notary Project signature envelope, and formats (library)
 notation-core-go provides core crypto functionality for notation-go and
 implements signature generation, parsing and revocation related
 functionalities based on the Notary Project specifications
 (https://github.com/notaryproject/specifications). It also provides
 validation functionality for certificate and certificate chain.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/notaryproject/notation-core-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-notaryproject-notation-core-go 1.3.0

=== debian/changelog ===
golang-github-notaryproject-notation-core-go (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * Use watch v5.
  * New upstream version 1.3.0
  * Drop upstreamed tsa-cert-chain fix.
  * Drop unneeded auto-gitignore patch.
  * Bump debian/* copyright years.
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Refresh patch.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 31 Oct 2025 14:05:20 +0100

golang-github-notaryproject-notation-core-go (1.1.0-7) experimental; urgency=medium

  * fix: add tsa cert chain revocation check after timestamping (#246)
    Needed for CVE-2024-56138

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 31 May 2025 12:52:39 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -13,7 +12,7 @@
                golang-github-veraison-go-cose-dev,
                golang-golang-x-crypto-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation-core-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation-core-go.git
 Homepage: https://github.com/notaryproject/notation-core-go

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	dh_auto_test -- -timeout 30m

=== debian/watch ===
Version: 5
Template: Github
Owner: notaryproject
Project: notation-core-go
